Webhooks

Webhooks

GET
/v1/workspaces/{workspace_id}/webhooks

The workspace’s subscriptions.

Authorization

bearer
headerAuthorizationBearer <token>

An access token from /v1/auth/token, or a personal token: opaque, beginning s2a_.

Path Parameters

workspace_id*string

wsp_…, from GET /v1/me

Lengthlength <= 40

Response Body

Default Response

application/json
  1. response
data*array<>
curl -X GET 'https://api.sign2approve.com/v1/workspaces/string/webhooks'
{  "data": [    {      "id": "whk_01a16d3fd3507be78e41c4540aa20a3c",      "url": "https://hooks.example.com/esign",      "events": [        "envelope.completed",        "timeoff.approved"      ],      "status": "active",      "scopes": [        "documents:envelopes:read"      ],      "created_at": "2026-10-24T09:30:00Z"    }  ]}